Last Comment Bug 551144 - checking rss feeds has perf problem freezing Thunderbird UI and high hard drive usage
: checking rss feeds has perf problem freezing Thunderbird UI and high hard dri...
Status: RESOLVED FIXED
: perf
Product: MailNews Core
Classification: Components
Component: Feed Reader (show other bugs)
: 1.9.2 Branch
: x86 All
: -- major (vote)
: Thunderbird 13.0
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 711173
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-09 03:13 PST by Pascal Chevrel:pascalc(PTO until Sept 2)
Modified: 2012-05-07 18:38 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Pascal Chevrel:pascalc(PTO until Sept 2) 2010-03-09 03:13:48 PST
I have about 200 web feeds in Thunderbird 3, everytime I click on the "check new items" icon for them or when Thunderbird checks them periodically, I get an intensive hard drive usage during several minutes often leading to Thunderbird becoming unresponsive until the task is finnished.
Comment 1 Ludovic Hirlimann [:Usul] 2010-03-17 06:41:20 PDT
Myk, David any logs would help you diagnose what the issue might be ?
Comment 2 Wayne Mery (:wsmwk, NI for questions) 2010-11-02 05:22:51 PDT
Pascal, do you still see this with version 3.1?
Comment 3 Myk Melez [:myk] [@mykmelez] 2010-11-02 10:51:39 PDT
This is presumably because Thunderbird kicks off 200 simultaneous network requests when you "check news items".  The fix would be for Thunderbird to limit the number of simultaneous network requests it makes for feed updates, issuing, say four to five initially and then a new one every time a pending one completes.
Comment 4 David :Bienvenu 2010-11-02 14:08:26 PDT
It doesn't help that these network requests run on the ui thread either.
Comment 5 alta88 2012-02-14 13:03:41 PST
fixed by bug 711173.

Note You need to log in before you can comment on or make changes to this bug.